# Pywrangle

## About
PyWrangle is an open-source Python library for data wrangling. Wikipedia defines [data wrangling](https://en.wikipedia.org/wiki/Data_wrangling) as follows:
> is the process of transforming and mapping data from one "raw" data form into another format with the intent of making it more appropriate and valuable for a variety of downstream purposes such as analytics

## Functions
PyWrangle currently supports:
- cleaning strings
- tracking dataframe changes
- identifying data entry errors


## Documentation & Distribution

Documentation is available [here](https://pywrangle.readthedocs.io/en/latest/)

Distribution is available  [here](https://pypi.org/project/pywrangle/)


## Install

### Requirements
- Python >= 3.6
- numpy >= 1.14.4
- pandas >= 1.0.3
- fuzzywuzzy >= 0.18.0
- python-levenshtein >= 0.12.0
- metaphone >= 0.6


### Pip Install
To install pywrangle, use pip:

```
pip install pywrangle
```


## Import

Per convention with Python libraries for data science, import pywrangle as follows:
```
>>> import pywrangle as pw
```

## Contributing
Like all developers, I _love_ open source. Please reference the contributing guidelines [here](https://github.com/jaimiles23/pywrangle/blob/master/CONTRIBUTING.md)
<!-- TODO: ADD LINK TO CONTRIbuTING GUIDELINES> -->

